function [] = draw_figures(config, syn_mat, iter, mean_img, SSD, Energy)
I_syn = convert_syns_mat(config, mean_img, syn_mat);
im = im2uint8(I_syn);
[imind,cm] = rgb2ind(im,256);
% save samples
if iter == 1
    imwrite(imind, cm, [config.Synfolder, 'animation', '.gif'], 'DelayTime', 0.10, 'Loopcount', inf);
else
    imwrite(imind, cm, [config.Synfolder, 'animation', '.gif'], 'WriteMode', 'append', 'DelayTime', 0.10);
end
imwrite(I_syn,[config.Synfolder, num2str(iter, 'dense_original_%04d'), '.png']);
subplot(2, 1, 1);
plot(1:iter, SSD(1:iter), 'r', 'LineWidth', 3);
axis([min(iter, 5), iter+1, 0,  max(SSD(min(iter, 5):end)) * 1.2]);
title('Matched statistics')
drawnow;

subplot(2, 1, 2);
plot(1:iter, Energy(1:iter), 'r', 'LineWidth', 3);
min_ax = min(Energy(min(iter, 5):end)) - abs(min(Energy(min(iter, 5):end))) * 0.2;
max_ax = max(Energy(min(iter, 5):end)) + abs(max(Energy(min(iter, 5):end))) * 0.2;
axis([min(iter, 5), iter+1, min_ax,  max_ax]);
title('Energy')
drawnow;

disp(['SSD: ', num2str(SSD(iter)), ', Energy: ', num2str(Energy(iter))]);
end